Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/usr.sbin/postinstall Check for an out of date /etc/fonts/fon...



details:   https://anonhg.NetBSD.org/src/rev/ce1fd094d4e5
branches:  trunk
changeset: 809392:ce1fd094d4e5
user:      jnemeth <jnemeth%NetBSD.org@localhost>
date:      Wed Jul 08 05:00:15 2015 +0000

description:
Check for an out of date /etc/fonts/fonts.conf and if so, forcibly
update it (it is not intended to be user editable).  This is
primarily intended so that pkgsrc fonts installed in the new location
can be found.

diffstat:

 usr.sbin/postinstall/postinstall |  12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

diffs (29 lines):

diff -r ed60249cabb8 -r ce1fd094d4e5 usr.sbin/postinstall/postinstall
--- a/usr.sbin/postinstall/postinstall  Wed Jul 08 01:23:28 2015 +0000
+++ b/usr.sbin/postinstall/postinstall  Wed Jul 08 05:00:15 2015 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: postinstall,v 1.196 2015/07/02 09:53:12 martin Exp $
+# $NetBSD: postinstall,v 1.197 2015/07/08 05:00:15 jnemeth Exp $
 #
 # Copyright (c) 2002-2015 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -991,7 +991,17 @@
                80-delicious.conf \
                90-synthetic.conf
        failed=$(( ${failed} + $? ))
+
+       if ! $SOURCEMODE; then
+               FONTS_DIR="${SRC_DIR}/etc/fonts"
+       else
+               FONTS_DIR="${SRC_DIR}/external/mit/xorg/lib/fontconfig/etc"
+       fi
                
+       populate_dir "$op" false "${FONTS_DIR}" "${DEST_DIR}/etc/fonts" 444 \
+               fonts.conf
+       failed=$(( ${failed} + $? ))
+
        # We can't modify conf.d easily; someone might have removed a file.
 
        conf_d_failed=0



Home | Main Index | Thread Index | Old Index